var formClicked = false;
$(document).ready(function(){

	$('.row').click(function(){

		if(formClicked == false)
			window.location.href = '?model=model&page=elements&action=edit&id='+$(this).attr('id').replace('row-', '');
		formClicked = false;
	});
	$('[name="access[]"],[name=update_element]').click(function(){formClicked = true;});

	$('.menu').dragAndDrop({'url' : '?model=model&page=menu&action=dragAndDrop', 'advanced' : true}, function(data){

		formClicked = true;
	});
});

$('.create_link').live('click', function(){

	window.location.href = this+'&version='+$(this).prev('[name=version]').val().replace(',', '.');
	return false;
});

$('#get_table_columns').live('click', function(){

	var elem = this;
	if( $('.table_columns').length > 0 ){

		$('.table_columns').remove();
	}
	else{

		$.get(this+'&mysql_table='+$('[name=mysql_table]').val(), function(data){

			$(elem).after(data);
		} );
	}
	return false;
});

$('[name=mysql_table]').live('click', function(){

	$('[name=table_columns]').remove();
	return false;
});

$('.export_db').live('click', function(){

	$('#dialog').createDialog({'method' : 'get', 'url' : '/ajax.php?model=model&page=export_db', 'data' : $(this).attr('href'), 'title' : 'export db'});
	return false;
});